---
title: CSSMathInvert()
slug: Web/API/CSSMathInvert/CSSMathInvert
tags:
  - API
  - CSS Typed Object Model API
  - CSSMathInvert
  - CSSNumericValue
  - Constructor
  - Experimental
  - Houdini
---
<div>{{draft}}{{SeeCompatTable}}{{APIRef("CSS Typed Object Model API")}}</div>

<p class="summary">The <strong><code>CSSMathInvert()</code></strong> constructor creates a new {{domxref("CSSMathInvert")}} object which represents a CSS {{CSSXref('calc()','calc()')}} used as <code>calc(1 / value)</code></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>CSSMathInvert</var> = new CSSMathInvert(<em>arg</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>arg</dt>
 <dd>A {{domxref('CSSNumericValue')}}.</dd>
</dl>

<h3 id="Exceptions">Exceptions</h3>

<dl>
 <dt><a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/RangeError"><code>RangeError</code></a></dt>
 <dd>Raised if the arg is 0 or -0.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>To do</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM')}}</td>
   <td>{{Spec2('CSS Typed OM','#cssmathinvert','CSSMathInvert')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSMathInvert.CSSMathInvert")}}</p>
